summaryrefslogtreecommitdiff
path: root/helpers/source_checksums
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-05-01 07:39:49 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:06 +0100
commit9326dc8b01231113d12417c4153a82cd3ab00029 (patch)
treeddfc094bbd8d4a742dff7cd780f3c20b8fcfe80f /helpers/source_checksums
parenta09f55f6b36ee3f462253f0f116ceafb4e885360 (diff)
downloadlive-build-9326dc8b01231113d12417c4153a82cd3ab00029.zip
live-build-9326dc8b01231113d12417c4153a82cd3ab00029.tar.gz
Renaming md5sum helpers to checksums.
Diffstat (limited to 'helpers/source_checksums')
-rwxr-xr-xhelpers/source_checksums78
1 files changed, 78 insertions, 0 deletions
diff --git a/helpers/source_checksums b/helpers/source_checksums
new file mode 100755
index 0000000..31895db
--- /dev/null
+++ b/helpers/source_checksums
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# lh_source_checksums(1) - create source checksumss
+# Copyright (C) 2006-2010 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'create source checksums')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+if [ "${LH_SOURCE}" != "true" ]
+then
+ exit 0
+fi
+
+if [ "${LH_CHECKSUMS}" != "true" ]
+then
+ exit 0
+fi
+
+Echo_message "Begin creating source md5sum.txt..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/source_debian
+
+# Checking stage file
+Check_stagefile .stage/source_checksums
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old md5sums
+if [ -f source/md5sum.txt ]
+then
+ rm -f source/md5sum.txt
+fi
+
+# Calculating md5sums
+cd source
+find . -type f -print0 | sort -z | xargs -0 md5sum > ../md5sum.txt
+
+cat > md5sum.txt << EOF
+This file contains the list of md5 checksums of all files on this medium.
+
+You can verify them automatically with the 'integrity-check' boot parameter,
+or, manually with: 'md5sum -c md5sum.txt'.
+
+
+EOF
+
+cat ../md5sum.txt >> md5sum.txt
+rm -f ../md5sum.txt
+
+# File list
+find . | sed -e 's|^.||g' | grep "^/" | sort > ../source.list
+
+cd "${OLDPWD}"
+
+# Creating stage file
+Create_stagefile .stage/source_checksums